#! /bin/sh 

#
# This script runs a larger reference file in utf format against itself.
#

UTF_FILT=$IEEVAL/scripts/utf_filt
CTM2UTF=$IEEVAL/scripts/ctm2utf.pl
REEP=$IEEVAL/scripts/reep
DTD=$IEEVAL/refdata/utf.dtd

$UTF_FILT -e $DTD -i example2_hub4.utf -o example2_hub4.iectm -f iectm
$CTM2UTF -a h4e_97 < example2_hub4.iectm > example2_hub4.iectm.2.utf

rm -f reep.example2_hub4.ref_vs_ref/*
mkdir -p reep.example2_hub4.ref_vs_ref
$REEP --ref example2_hub4.utf \
    --hyp example2_hub4.iectm.2.utf \
    --outdir reep.example2_hub4.ref_vs_ref \
    --nocleanup


