#! /bin/sh 

#
# This script runs a large reference file in utf format against itself.
#

UTF_FILT=$IEEVAL/scripts/utf_filt
CTM2UTF=$IEEVAL/scripts/ctm2utf.pl
REEP=$IEEVAL/scripts/reep
DTD=$IEEVAL/refdata/utf.dtd

$UTF_FILT -e $DTD -i h4e_97.ref.utf -o h4e_97.ref.iectm -f iectm
$CTM2UTF -a h4e_97 < h4e_97.ref.iectm > h4e_97.ref.iectm.2.utf

rm -f  reep.h4e_97.ref.ref_vs_ref/*
mkdir -p reep.h4e_97.ref.ref_vs_ref
$REEP --ref h4e_97.ref.utf \
    --hyp h4e_97.ref.iectm.2.utf \
    --outdir reep.h4e_97.ref.ref_vs_ref \
    --nocleanup

