#!/bin/sh

#
# Sub-routines

process_file () {

# Echo Section Tag
  echo "<section type=filler startTime=${NEWSTART} endTime=${NEWEND} id=${btag}>"


while read tline ; do

   firstTag=`echo $tline | awk '{print $1}'`
   if [ "$firstTag" != "<utf" ] ;then
      if [ "$firstTag" != "<conversation_trans" ] ;then
         if [ "$firstTag" != "</conversation_trans>" ] ;then
           if [ "$firstTag" != "</utf>" ] ;then
            if [ "$firstTag" = "<turn" ] ;then
               newline=`echo $tline | sed 's:"A":"'${btag}'_a":' | \
                        sed 's:"B":"'${btag}'_b":'`
               echo $newline
            else
               echo $tline
            fi
           fi
         fi
      fi
   fi

done<${tfile}
}

# FILELIST contains every utf to be combined.
FileList=$1

Eval=h5e_98

# Echo UTF Tag
echo "<utf dtd_version=utf-1.0 audio_filename=\"h5e_98\" language=UNK scribe=UNK version=1 version_date=UNK>"

# Echo Bn_episode Tag
echo "<bn_episode_trans program=UNK air_date=UNK>"


while read tfile ;do

  btag=`echo $tfile | tr '/' ' ' | awk '{print $NF}' | sed 's:.utf::g'`

  NEWSTART=`cat $tfile | tr ' ' '\12' | grep startTime | tr -d \" | head -1 | tr '=' ' ' | awk '{print $NF}'`
  NEWEND=`cat $tfile | tr ' ' '\12' | grep endTime | tr -d \" | tail -1 | tr '=' ' ' | awk '{print $NF}'`
  process_file $tfile

  echo "</section>"
done <${FileList}

# Echo Ending Tags
echo "</bn_episode_trans>"
echo "</utf>"
