/*
 *  Copyright 1995 Science Applications International Corporation.
 */

/*
 * NAME
 *
 * 
 * FILE 
 *	muc_globals.c
 *
 * SYNOPSIS
 *
 *
 * DESCRIPTION
 *	global MUC variables
 *
 * DIAGNOSTICS
 *
 *
 * FILES
 *
 *
 * NOTES
 * 
 * SEE ALSO
 *
 * AUTHOR
 *	Gary Dungca	August 1995
 *
 */

#ifdef SCCSID
static char SccsId[] = "@(#)muc_globals.c	22.1\t12/08/98\tSAIC";
#endif

#undef SCCSID
#include  "muc_defs.h"
#include  "muc.h"
#include  "muc_protos.h"

TABLE   *MUC_Catalog;
TABLE   *MUC_Class_defs;
TABLE   *MUC_Summary_Class_scores;
Tallies *MUC_Total_Slot_tallies;
Tallies *MUC_Total_Text_Filtering;
char	*MUC_configuration_filename;

TABLE   *MUC_Options;
TABLE   *MUC_ne_subtask_tallies;
TABLE   *MUC_ne_doc_section_tallies;
TABLE   *MUC_dsg_tallies;

char MUC_key_or_response;
char MUC_task;
char MUC_method;
char MUC_stringfill_correct_comparison;
char MUC_stringfill_partial_comparison;

long MUC_cur_lineno;
long MUC_cur_docnum_count;
long MUC_cur_text_charno;

FILE *MUC_map_history_file;
FILE *MUC_partition_file;
FILE *MUC_score_report_file;
FILE *MUC_report_summary_file;

char *MUC_map_history_filename;
char *MUC_partition_filename;
char *MUC_score_report_filename;
char *MUC_report_summary_filename;
char *MUC_report_field_separator;
char *MUC_report_comment_string;
char *MUC_report_lexeme_separator;
Bool MUC_reset_doc_offsets;
Bool MUC_count_sgml;
TABLE *MUC_offset_count_GIDs;
TABLE *MUC_lexeme_separator_GIDs;
Bool MUC_allow_nested_doc_sections_of_same_type;
long MUC_ne_allow_incorrect;
long MUC_ne_offset_tolerance;
Bool MUC_use_offsets_in_content_matching;
Bool MUC_extract_from_text;
char MUC_fragment_prefix_char;

long MUC_recall_numerator;
long MUC_recall_denominator;
long MUC_precision_numerator;
long MUC_precision_denominator;

long MUC_total_key_eqclasses;
long MUC_total_response_eqclasses;

