/* file char_name.c */

#if !defined(COMPILE_ENVIRONMENT)
#include <gp/stdcenvf.h> /* std compile environment for functions */
#endif

char *char_name(char *sx, char character)
/**********************************************************/
/* returns English pronunciation of character name in *sx */
/**********************************************************/
{switch (character)
   {case 'a': strcpy(sx," '1 ey");                     break;
    case 'b': strcpy(sx," b '1 iy");                   break;
    case 'c': strcpy(sx," s '1 iy");                   break;
    case 'd': strcpy(sx," d '1 iy");                   break;
    case 'e': strcpy(sx," '1 iy");                     break;
    case 'f': strcpy(sx," '1 eh f");                   break;
    case 'g': strcpy(sx," jh '1 iy");                  break;
    case 'h': strcpy(sx," '1 ey ch");                  break;
    case 'i': strcpy(sx," '1 ay");                     break;
    case 'j': strcpy(sx," jh '1 ey");                  break;
    case 'k': strcpy(sx," k '1 ey");                   break;
    case 'l': strcpy(sx," '1 eh l");                   break;
    case 'm': strcpy(sx," '1 eh m");                   break;
    case 'n': strcpy(sx," '1 eh n");                   break;
    case 'o': strcpy(sx," '1 ow");                     break;
    case 'p': strcpy(sx," p '1 iy");                   break;
    case 'q': strcpy(sx," k y '1 uw");                 break;
    case 'r': strcpy(sx," '1 aa r");                   break;
    case 's': strcpy(sx," '1 eh s");                   break;
    case 't': strcpy(sx," t '1 iy");                   break;
    case 'u': strcpy(sx," y '1 uw");                   break;
    case 'v': strcpy(sx," v '1 iy");                   break;
    case 'w': strcpy(sx," d '1 ax b '0 ax l y '2 uw"); break;
    case 'x': strcpy(sx," '1 eh k s");                 break;
    case 'y': strcpy(sx," w '1 ay");                   break;
    case 'z': strcpy(sx," z '1 iy");                   break;
    case '0': strcpy(sx," z '1 iy r '0 ow");   break;
    case '1': strcpy(sx," w '1 ax n");         break;
    case '2': strcpy(sx," t '1 uw");           break;
    case '3': strcpy(sx," th r '1 iy");        break;
    case '4': strcpy(sx," f '1 ow r");         break;
    case '5': strcpy(sx," f '1 ay v");         break;
    case '6': strcpy(sx," s '1 ih k s");       break;
    case '7': strcpy(sx," s '1 eh v '0 ax n"); break;
    case '8': strcpy(sx," '1 ey t");           break;
    case '9': strcpy(sx," n '1 ay n");         break;
    case '&': strcpy(sx," '0 ae n d");         break;
    default: strcpy(sx,"");
   }
  return sx;
 }
