/* file dintal4.c */

#if !defined(COMPILE_ENVIRONMENT)
#include <gp/stdcenvf.h> /* std compile environment for functions */
#endif

/************************************************************/
/*  void dump_int_alignment4(paln)                          */
/*  dumps *p1, an ALIGNMENT_INT                             */
/* This style has  slots arrrayed vertically.               */
/************************************************************/
 void dump_int_alignment4(ALIGNMENT_INT *paln)
 {char proc[] = "dump_int_alignment4";
  char sxx[LONG_LINE], *sx = &sxx[0];
  int i, nslots;
  pcodeset *pcode;
db_enter_msg(proc,4); /* debug only */
  fprintf(stdout,"\n");
  fprintf(stdout," VERTICAL DUMP OF ALIGNMENT:\n");
  pcode  = paln->pcset;
  fprintf(stdout," pcodeset = '%s'\n",pcode->name);
  if (!paln->aligned) fprintf(stdout," Sequences not aligned, cannot dump.\n");
  else
    {fprintf(stdout," naux = %d\n",paln->naux);
     fprintf(stdout," paln->pcset->pcdtab_length=aux offset=%d\n",paln->pcset->pctab_length);
     fprintf(stdout,"  I AINT[I](SPELLING)      |  BINT[I](SPELLING) \n");
     nslots = paln->aint[0];
     for (i=1; i <=  nslots; i++)
       {fprintf(stdout,"%3d %6d (",i,paln->aint[i]);
        if (paln->aint[i] > paln->pcset->pctab_length) fprintf(stdout,"{");
        fprintf(stdout,"%12s)",ascii_str(sx,paln->aint[i],pcode,paln));
        if (paln->aint[i] > paln->pcset->pctab_length) fprintf(stdout,"}");
        fprintf(stdout,"  |  %6d (",paln->bint[i]);
        if (paln->bint[i] > paln->pcset->pctab_length) fprintf(stdout,"{");
        fprintf(stdout,"%12s",ascii_str(sx,paln->bint[i],pcode,paln));
        if (paln->bint[i] > paln->pcset->pctab_length) fprintf(stdout,"}");
        fprintf(stdout,")\n");
       }
     fprintf(stdout,"\n");
    }
db_leave_msg(proc,4); /* debug only */
  return;
 } /* end dump_int_alignment4 */
 /* end file dintal4.c */
